#!/usr/bin/python

import os
import subprocess

from distutils.command.sdist import sdist
from setuptools import setup, find_packages

def get_version():
    if os.path.exists('VERSION'):
        version_file = open('VERSION', 'r')
        version = version_file.read()
        version_file.close()
        return version
    if os.path.exists('.git'):
        p = subprocess.Popen(['git','describe','--match=v*'], stdout=subprocess.PIPE)
        result = p.communicate()[0]
        version = result.split()[0][1:]
        version = version.replace('-', '.')
        return version
    from passerelle import __version__ as version
    return version

class eo_sdist(sdist):

    def run(self):
        print "creating VERSION file"
        if os.path.exists('VERSION'):
            os.remove('VERSION')
        version = get_version()
        version_file = open('VERSION', 'w')
        version_file.write(version)
        version_file.close()
        sdist.run(self)
        print "removing VERSION file"
        if os.path.exists('VERSION'):
            os.remove('VERSION')

setup(name='passerelle',
        version=get_version(),
        license='AGPLv3',
        description='',
        url='https://dev.entrouvert.org/projects/passerelle/',
        download_url='http://repos.entrouvert.org/passerelle.git/',
        author="Entr'ouvert",
        author_email="info@entrouvert.com",
        packages=find_packages(os.path.dirname(__file__) or '.'),
        scripts=['passerelle_manage.py'],
        include_package_data = True,
        install_requires=[
            'django >= 1.5.1, < 1.6',
            'django-model-utils',
            'south >= 0.8, < 0.9',
        ],
        dependency_links = [
            'http://pypi.python.org/packages/source/d/django-jsonresponse/django-jsonresponse-0.5.tar.gz',
        ],
        cmdclass={'sdist': eo_sdist},
)
